Bug 110047 - sendmail-devel and sendmail-doc not provided
sendmail-devel and sendmail-doc not provided
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sendmail (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Depends On:
  Show dependency treegraph
Reported: 2003-11-14 09:34 EST by Thierry Bagnoud
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-20 08:32:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thierry Bagnoud 2003-11-14 09:34:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; fr-FR; rv:1.5)

Description of problem:
packages sendmail-devel and sendmail-doc not provided on ISO CD and

We can create this packages (and sendmail-debuginfo) with the

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:
Comment 1 Florian La Roche 2003-11-20 08:32:36 EST
I am closing this bug report here, as this must be decided at a
different place within Red Hat. Thanks a lot for your feedback.


Florian La Roche
Comment 2 Rich Graves 2003-12-19 13:45:14 EST

sendmail-devel is required in order to build any Milters. Why bother
compiling sendmail with -DMILTER if you can't use it?

For other missing packages see

The most annoying to us is perl-suidperl.
Comment 3 Ronald Cole 2004-01-26 22:02:47 EST
Leaving out packages that are generated by your own SRPMS seems to be
an interesting definition of "Enterprise-level computing".  So I had
to rebuild the sendmail SRPM to get milter support for my anti-virus
milter.  What's going to happen when you up2date sendmail?   Or any
other package that I had to rebuild to supply a missing RPM?  Am I
going to have to remember which packages I had to handle specially to
keep up2date from only performing a partial package install?  Or is
up2date going to refuse to perform that update because of dependency
problems?  Or are we going to have to wait until it happens before
someone at RedHat is even interested in thinking about such things?

Sorry if I sound jaded, but I still have a few servers running 7.3
that are being screwed by bugzilla bug #103177, and I can't recommend
upgrading them to RHEL3 until the "no sendmail milter" problem is
Comment 4 Henning Schmiedehausen 2004-05-06 05:21:07 EDT
I just got burned by this problem, too. 

I opened this as Service Request # 322160 on your RHEL Technical
Support  Page. I consider this a real problem for RHEL3 based mail
servers and I'm very unhappy with this "lets leave this package out of
Enterprise computing, because it isn't needed for Oracle" decision.

Please reopen this as a bug.
Comment 5 Pancrazio `ezio' de Mauro 2004-05-06 07:15:22 EDT
sendmail-devel and several other -devel packages will be reintroduced
in the next quarterly update of RHEL 3.

You can download the beta versions from the "Red Hat Enterprise Linux
AS (v. 3 for x86) Beta" in Red Hat Network.

Note You need to log in before you can comment on or make changes to this bug.